English

ArcGIS 9.3.1 (Desktop, Engine, Server) Using Geoprocessing tools with Versioned Data Patch

Summary

This patch addresses cases where these specific Geoprocessing tools would not work when used with ArcSDE versioned datasets.

Description

Introduction

ESRI® announces the ArcGIS 9.3.1 (Desktop, Engine, Server) Using Geoprocessing tools with Versioned Data Patch. This patch addresses cases where these specific Geoprocessing tools would not work when used with ArcSDE versioned datasets. We recommend that all who use geoprocessing tools with versioned datasets, download and install this patch at their earliest convenience to ensure the highest quality experience when working with ArcGIS 9.3.1. It deals specifically with the issues listed below under Issues Addressed with this Patch.

Issues Addressed with this Patch


  • NIM045263 - Following upgrade of ArcGIS Desktop to 9.3.1 the Append, Delete Rows, and Delete Features tools no longer will operate with versioned datasets.

Files Installed in this Patch


  • Under the C:\Program Files\ArcGIS\Bin folder:

      GeoprocessingLib.dll

Installing this Patch on Windows


    ArcGIS 9.3.1 must be installed before you can install this patch.

    To Install:

    1. Make sure you have write access to your ArcGIS installation location, and that no one is using ArcGIS.


    2. Download GIS931-UGTVD-Patch.EXE to a location other than your ArcGIS installation location.

    3. Double-click GIS931-UGTVD-Patch.EXE to start the install process.

    4. When Setup starts, follow the instructions on your screen.

    Installation Notes:

    • If you have installed client setups from a shared Network Administrative ArcGIS Desktop setup, this patch must be applied to all client installations.

    • System Administrators - A technical paper is available that discusses the enterprise deployment of ArcGIS 9.3 setups using Microsoft® Systems Management Server (SMS) and Group Policy, including additional system requirements, suggestions, known issues, and Microsoft Software Installation (MSI) command line parameters. Deployment in a lockdown environment is also covered.
      ArcGIS 9.3 Enterprise Deployment.

Installing this Patch on Sun Solaris, SUSE Linux and Red Hat Linux (Intel)


Since this Patch replaces 9.3.1 files, you must have ArcGIS 9.3.1 installed before you can install this Patch.

    Make sure you have write access to the ArcGIS Server installation folder, that no one is using ArcGIS Server.

  1. Download the appropriate file to a location other than the installation location:

    ArcGIS Server for the Java Platform
    SUSE Linux and Red Hat Linux (Intel) gis931-server-ugtvd-patch-linux.tar
    Sun Solaris gis931-server-ugtvd-patch-slrs.tar
     
    ArcGIS Engine Runtime
    SUSE Linux and Red Hat Linux (Intel) gis931-engine-ugtvd-patch-linux.tar
    Sun Solaris gis931-engine-ugtvd-patch-slrs.tar
     
  2. Stop your server.
    % arcgis/scripts/stopserver
  3. Extract the specified tar file by typing:
    % tar -xvf gis931-<product>-ugtvd-patch-<platform>.tar
  4. Start the installation by typing:
    % ./applypatch
    This will start the dialog for the menu-driven installation procedure. Default selections are noted in parentheses ( ). To quit the installation procedure, type 'q' at any time.


  5. ArcGIS Server, type:

      % /arcgis/scripts/startserver

Patch Updates

Check Online Support Center periodically for the availability of additional patches. New information about this patch will be posted here.

    May 12, 2010 - This patch will be included in the next available Service Pack or Major Release.

How to identify which Patch is installed

To find out what ArcGIS products are currently installed on your machine, download the PatchFinder931.exe utility and run it from your local machine.

Getting Help

Domestic sites, please contact ESRI Technical Support at 1-888-377-4575, if you have any difficulty installing this Service Pack. International sites, please contact your local ESRI software distributor.